Skip to main content

0.01 credits per call

isBlockhashValid on Solana: Returns whether a blockhash is still valid.

Endpoint

https://rpc.goldrushdata.com/v1/solana-mainnet
Authenticate with Authorization: Bearer <GOLDRUSH_API_KEY>. See authentication.

Parameters

NameTypeRequiredDescriptionExample
blockhashstringyesBase-58 encoded blockhash to check."EkSnNWid2cvwEVnVx9aBqawnmiCNiDgp3gUdkDPTKN1N"
configobjectno{commitment?, minContextSlot?}.{"commitment":"processed"}

Returns

object: {context, value: boolean}: true if the blockhash is still valid.
{"context":{"slot":372877175},"value":false}

Examples

curl https://rpc.goldrushdata.com/v1/solana-mainnet \
  -H "Authorization: Bearer $GOLDRUSH_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "jsonrpc": "2.0",
    "id": 1,
    "method": "isBlockhashValid",
    "params": ["EkSnNWid2cvwEVnVx9aBqawnmiCNiDgp3gUdkDPTKN1N", {"commitment":"processed"}]
  }'

Errors

Standard JSON-RPC errors: -32600 invalid request, -32601 method not found, -32602 invalid params.